OS(Monitoring)

NAME
OS Monitoring Application

DESCRIPTION

  Description

The operating system monitor, OS_Mon, provides the following services:

    • cpu_sup CPU load and utilization supervision (Unix)

    • disksup Disk supervision(Unix, Windows)

    • memsup Memory supervision (Unix, Windows)

    • os_sup Interface to OS system messages (Solaris, Windows)

To simplify usage of OS_Mon on distributed Erlang systems, it is not considered an error trying to use a service at a node where it is not available (either because OS_Mon is not running, or because the service is not available for that OS, or because the service is not started). Instead, a warning message is issued via error_logger and a dummy value is returned, which one is specified in the man pages for the respective services.

  Configuration

When OS_Mon is started, by default all services available for the OS, except os_sup, are automatically started. This configuration can be changed using the following application configuration parameters: start_cpu_sup = bool()
    Specifies if cpu_sup should be started. Defaults to true.
start_disksup = bool()
    Specifies if disksup should be started. Defaults to true.
start_memsup = bool()
    Specifies if memsup should be started. Defaults to true.
start_os_sup = bool()
    Specifies if os_sup should be started. Defaults to false.

Configuration parameters effecting the different OS_Mon services are described in the respective man pages.

See config for information about how to change the value of configuration parameters.

  See Also

cpu_sup, disksup, memsup, os_sup, nteventlog, snmp.